Summary: Computer chess program
Name: gnuchess
Version: 4.0.pl77
Release: 5
Copyright: GPL
Group: Games
Icon: xchess.gif
Source: prep.ai.mit.edu:/pub/gnu/gnuchess-4.0.pl77.tar.gz
Patch0: gnuchess-4.0.pl75-fsstnd.patch
Patch1: gnuchess-4.0.pl77-ncurses.patch
Buildroot: /var/tmp/chess-root
Summary(de): Computerschachprogramm
Summary(fr): Jeu d'checs.
Summary(tr): Bilgisayar satran oyunu

%changelog
* Fri May 01 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>

- built against new ncurses

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>

- BuildRoot'ed

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
This is the famous GNU chess program.  It is text based, but 
can be used in conjunction with xboard to play X based chess.

%description -l de
Das berhmte GNU-Schachprogramm. Es ist textorientiert, kann
aber mit 'xboard' verwendet werden, um X-orientiertes Schach zu spielen.

%description -l fr
Le fameux programme de jeu d'checs de GNU. Il est en mode texte
mais peut tre utilis avec xboard pour y jouer sous X.

%description -l tr
Bu nl GNU satran programdr. Metin ekranda alr ama xboard program
ile birlikte kullanlarak X altnda da oynanabilir.

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
cd src
rm -f config.status config.cache
./configure --prefix=/usr
make "CC=gcc $RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/games/gnuchess $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man6
cd src
make prefix=$RPM_BUILD_ROOT/usr install

cd $RPM_BUILD_ROOT
strip usr/bin/gnuchess usr/bin/gnuchessr usr/bin/gnuchessn
strip usr/bin/gnuchessx usr/bin/gnuchessc usr/bin/postprint
strip usr/bin/gnuan usr/bin/game

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/gnuchess
/usr/bin/gnuchessr
/usr/bin/gnuchessn
/usr/bin/gnuchessx
/usr/bin/gnuchessc
/usr/bin/postprint
/usr/bin/gnuan
/usr/bin/game
/usr/lib/games/gnuchess/gnuchess.lang
/usr/lib/games/gnuchess/eco.pgn
/usr/lib/games/gnuchess/gnuchess.data
/usr/lib/games/gnuchess/gnuchess.eco
/usr/man/man6/game.6
/usr/man/man6/gnuan.6
/usr/man/man6/gnuchess.6
/usr/man/man6/postprint.6
